\documentclass{article}
\input{telmme.tex}
\begin{document}

%% Do not change the above and do not add your own definitions %%



\title{Exercise graph}
\author{Jan Willem Knopper}
\date{}
\maketitle


\begin{metadata}
  \md{title}{Telmme Exercise}
  \md{description}{This is an example of an exercise file in LaTeX, it is for authors that want to write excercises  for Telmme.}
  \md{course}{AN}% LA, ST, AN for Linear Algebra, Statistics, or Analysis
  \md{chapter}{Derivative}
  \md{section}{Chain rule}
  \md{author}{Hans Cuypers}
  \md{language}{en}% nl, en
  \md{keywords}{chain rule}
  \md{version}{1}
  \md{learningtype}{exercise}% exercise, exam, lecture
  \md{difficulty}{medium}%very easy, easy, medium, difficult, very difficult
\end{metadata}




\begin{exercise-graph}
  \begin{first}
    \setrandom{c}{2}{6}
    \setpc{fun}{\#c * cos(\$x^5)} 
  \end{first}
  \begin{interaction}{question}
    Compute the derivative of the function $f(x)$, where
    $f(x)=$ \out{fun}.
    \begin{answer-open}[pc]
      \begin{test-graph}{case1}
        \#answer = \#c *(-5)*sin(\$x^5)*\$x^4
      \end{test-graph}
      \begin{test-graph}{case2}
        \#answer = -\#c *sin(\$x^5)*\$x^4
      \end{test-graph}
      \begin{test-graph}{case3}
        \#answer = -\#c *sin(\$x^5)
      \end{test-graph}
      \begin{test-graph}{case4}
        \#answer = \#c *5*sin(\$x^5)*\$x^4
      \end{test-graph}
      \begin{test-graph}{case5}
        \#answer = \#c *(-5)*cos(\$x^5)*\$x^4
      \end{test-graph}
      \default{default}
    \end{answer-open}
  \end{interaction}

  \begin{interaction}{case1} \correct
    That is indeed correct! Your score is: \out{score}.
  \end{interaction}

  \begin{interaction}{case2} \pen{30}
    That is not correct. 
    Did you forget a coefficient ?
    \button{Try Again}{question}
  \end{interaction}

  \begin{interaction}{case3} \pen{30}
    That is not correct. Did you apply the chain rule ? 
    What is the derivative of $x^5$ ?.

    \button{Try Again}{question}
  \end{interaction}

  \begin{interaction}{case4} \pen{30}
    That is not correct. What is the derivative of $\cos(x)$?
    \button{Try Again}{question}
  \end{interaction}

  \begin{interaction}{case5} \pen{30}
    That is not correct. What is the derivative of $\cos(x)$?
    \button{Try Again}{question}
  \end{interaction}

  \begin{interaction}{default} \pen{30}
    Unfortunately that is wrong.
    \button{Try Again}{question}
  \end{interaction}
\end{exercise-graph}

\end{document}
